<?php
session_start();
$pdo = new PDO('mysql:host=rdbms.strato.de;dbname=DB3116701', 'U3116701', 'FruchTzwerG5Tische');

$site = str_replace("/smartshipcloud/","",$_SERVER["PHP_SELF"]);
$site = str_replace("/","",$site);

if($_SESSION["smartshipcloud-login-id"]!=""){
	$sql = 'SELECT * FROM smartshipcloud_login WHERE id="'.$_SESSION["smartshipcloud-login-id"].'"';
	foreach ($pdo->query($sql) as $ausgabe) {
		foreach($ausgabe as $spalte => $wert){
			$ausgabelogin[$spalte] = $wert;
		}
	}
}

if($_GET[func]=="editNutzereinstellungen"){
	if($_GET[wert]=="true"){
		$wert = 1;
	} else {
		$wert = 0;
	}
	$statement = $pdo->prepare('UPDATE smartshipcloud_login SET '.$_GET[name].' = "'.$wert.'" WHERE id="'.$ausgabelogin[id].'"');
	$statement->execute(array()); 
}

if($_GET[func]=="admin_nutzer-monatsuebersicht"){
	$loginnummern = $_GET[loginnummern];
	$loginid = $_GET[loginid];
	if($_GET[uem]!=""){$uebersichtmonat = $_GET[uem];}else{$uebersichtmonat = date("n");}
	if($_GET[uey]!=""){$uebersichtjahr = $_GET[uey];}else{$uebersichtjahr = date("Y");}
	$uebersichtanzahl = 0;
	$sql2 = 'SELECT * FROM smartshipcloud_tn WHERE monat="'.$uebersichtmonat.'-'.$uebersichtjahr.'" AND id_login="'.$loginid.'" ORDER BY id DESC';
	foreach ($pdo->query($sql2) as $ausgabe2) {
		$uebersichtanzahl = $uebersichtanzahl + 1;
	}
	if($loginnummern==0){$nummern='&infin;';}else{$nummern = $loginnummern;}
	echo''.$uebersichtanzahl.'/'.$nummern.'';
	echo'<table align="center">';
	$sql2 = 'SELECT * FROM smartshipcloud_tn WHERE monat="'.$uebersichtmonat.'-'.$uebersichtjahr.'" AND id_login="'.$loginid.'" ORDER BY id DESC';
	foreach ($pdo->query($sql2) as $ausgabe2) {
		$ziel = str_replace("x","",$ausgabe2[ziel]);
		$ziel = str_replace("X","",$ziel);
		$ziel = str_replace("<br>","",$ziel);
		$ziel = str_replace(".","",$ziel);
		$ziel = str_replace("-","",$ziel);
		echo '<tr><td>'.$ausgabe2[datum].'</td><td>--</td><td>'.$ausgabe2[nummer].'</td><td>--</td><td>'.$ziel.'</td></tr>';
	}
	echo'</table>';
}







?>